Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans
Interface XmlInteger

All Superinterfaces:
  XmlAnySimpleType, XmlDecimal, XmlObject, XmlTokenSource

All Known Subinterfaces:
  XmlByte, XmlInt, XmlLong, XmlNegativeInteger, XmlNonNegativeInteger, XmlNonPositiveInteger, XmlPositiveInteger, XmlShort, XmlUnsignedByte, XmlUnsignedInt, XmlUnsignedLong, XmlUnsignedShort

public interface XmlInteger
extends XmlDecimal

Corresponds to the XML Schema xs:integer type. One of the derived types based on xs:decimal.

This type should not be confused with xs:int or Java `Integer`. This type represents an arbitrary-precision integer with any number of digits, while a Java int or an xs:int is a 32-bit finite-precision integer.

Convertible to a Java `BigInteger`.

Nested Class Summary
`static class` | `XmlInteger.Factory` A class with methods for creating instances of `XmlInteger`.

Field Summary
`static SchemaType` | `type` The constant `SchemaType` object representing this schema type.

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`BigInteger` | `bigIntegerValue()` Deprecated. replaced with `getBigIntegerValue()`
`BigInteger` | `getBigIntegerValue()` Returns this value as a `BigInteger`
`void` | `set(BigInteger bi)` Deprecated. replaced with `setBigIntegerValue(java.math.BigInteger)`
`void` | `setBigIntegerValue(BigInteger bi)` Sets this value as a `BigInteger`

Methods inherited from interface org.apache.xmlbeans.XmlDecimal
`bigDecimalValue, getBigDecimalValue, set, setBigDecimalValue`

Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType
`getStringValue, set, setStringValue, stringValue`

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    public static final SchemaType type

  The constant `SchemaType` object representing this schema type.

Method Detail

### getBigIntegerValue

    public BigInteger getBigIntegerValue()

  Returns this value as a `BigInteger`

### setBigIntegerValue

    public void setBigIntegerValue(BigInteger bi)

  Sets this value as a `BigInteger`

### bigIntegerValue

    public BigInteger bigIntegerValue()

  Deprecated. replaced with `getBigIntegerValue()`

  Returns this value as a `BigInteger`

### set

    public void set(BigInteger bi)

  Deprecated. replaced with `setBigIntegerValue(java.math.BigInteger)`

  Sets this value as a `BigInteger`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD